<?php
function fewminutes_get_site_domain() {
	
	$domain = get_bloginfo('url');
	
	$d = explode('://', $domain);

	$domain = $d[0].'://'.current(explode('/', $d[1]));

	return $domain;
}

function fewminutes_activation() {
		
	global $fewminutes_options;
	global $fewminutes_get_code;
	global $fewminutes_set_urls;
	
	$domain = fewminutes_get_site_domain();
	$few_code = get_option('fewminutes__code');
	
	if($few_code)
	{
		$args = array(
			'method' => 'POST',
			'body' => array(
				'few_code' => $few_code,
				'domain' => $domain,
			)
		);	
	}
	else
	{
		$args = array(
			'method' => 'POST',
			'body' => array(
				'few_code' => 'new',
				'domain' => $domain,
			)
		);
	}
	
	$resp = wp_remote_retrieve_body(wp_remote_post($fewminutes_get_code, $args ));
	
	$r = json_decode($resp, true);	
	
	if(isset($r['status']) && $r['status'] == 'ok')
	{
		if(get_option('fewminutes__code'))
		{
			update_option('fewminutes__code', $r['code']);
		}
		else
		{
			add_option('fewminutes__code', $r['code']);
		}
		
		$posts_array = get_posts(array('posts_per_page' => 100));
		$post_links = array();
		
		foreach ($posts_array as $post_data)
		{
			$post_links[] = urlencode(get_permalink($post_data->ID));
		}
		
		$args = array(
			'method' => 'POST',
			'body' => array(
				'few_code' => $r['code'],
				'urls' => $post_links,
			)
		);
		
		wp_remote_post($fewminutes_set_urls, $args );
	}
	
	
}

function fewminutes_deactivation() {
	
	
}