<?php
/*
 Plugin Name: Fewminutes
 Plugin URI:  http://fewminutesapp.com
 Description: Fewminutes is a new way to discover popular stories by time
 Author:      Fewminutesapp
 Author URI:  http://fewminutesapp.com
 Version:     1.0.2
 Text Domain: fewminutesapp
 Domain Path: /languages
 */


/******************************
 * global variables
 ******************************/

global $fewminutes_get_code;
global $fewminutes_set_urls;
global $fewminutes__code;

$fewminutes_base_plugin_url = plugin_dir_url(__FILE__);
$fewminutes_base_url = 'http://fewminutesapp.com/app/';
$fewminutes_get_code = $fewminutes_base_url.'api/get_wp_code/';
$fewminutes_set_urls = $fewminutes_base_url.'api/set_wp_urls/';
$fewminutes__code = get_option('fewminutes__code');

/******************************
 * includes
 ******************************/
include ('includes/activation.php');
include ('includes/scripts.php');


register_activation_hook(__FILE__, 'fewminutes_activation');
register_deactivation_hook(__FILE__, 'fewminutes_deactivation');