<?php
function fewminutes_init_page() {
	wp_register_script( 'fewminutes', '', array( 'jquery' ) );
	wp_enqueue_script( 'fewminutes' );
}
add_action( 'init', 'fewminutes_init_page' );

function fewminutes_add_js() {
	
	global $fewminutes_base_url;
	global $fewminutes__code;
	
	$script = '';
	
	if(is_single())
	{
		$script .= '<div class="fewminutestag" data-layout="index"></div>';		
	}

	$script .= '<div class="fewminutestag" data-layout="post_box"></div>';		
	
	$script .= "<script type=\"text/javascript\">
					(function(d){
						var scr = d.createElement('script');
						scr.src = '".$fewminutes_base_url."api/get_code/".$fewminutes__code."';
						scr.type = 'text/javascript';
						scr.async = true;
						d.getElementsByTagName('head')[0].appendChild(scr);
					}(document));						
				</script>";
	
	echo $script;
}
add_action( 'wp_footer', 'fewminutes_add_js' );

function fewminutes_ttr( $atts, $content = null) {
	
	$a = shortcode_atts( array(
		'layout' => 'ttr_badge',
		'href' => ''
	), $atts );
	
	return '<div class="fewminutestag" data-layout="'.$a['layout'].'" data-href="'.$a['href'].'"></div>';
}
add_shortcode( 'fewminutes', 'fewminutes_ttr' );
